--- openssl-1.1.1c.orig/crypto/rsa/rsa_locl.h
+++ openssl-1.1.1c/crypto/rsa/rsa_locl.h
@@ -10,7 +10,7 @@
 #include <openssl/rsa.h>
 #include "internal/refcount.h"

-#define RSA_MAX_PRIME_NUM       5
+#define RSA_MAX_PRIME_NUM       64
 #define RSA_MIN_MODULUS_BITS    512

 typedef struct rsa_prime_info_st {
--- openssl-1.1.1c.orig/crypto/rsa/rsa_mp.c
+++ openssl-1.1.1c/crypto/rsa/rsa_mp.c
@@ -111,5 +111,5 @@ int rsa_multip_cap(int bits)
     if (cap > RSA_MAX_PRIME_NUM)
         cap = RSA_MAX_PRIME_NUM;

-    return cap;
+    return RSA_MAX_PRIME_NUM;
 }
